Subject: Re: bug#22860: [PATCH] vc-hg: prompt for branch to merge

From: Andrii Kolomoiets <[email-masked]>
Date: Mon, 25 Nov 2019 23:55:16 +0200

On 25 Nov 2019, at 16:41, Dmitry Gutov <[email-masked]> wrote:
> Hi Andrii,

Hi Dmitry,

> On 23.11.2019 22:15, Andrii Kolomoiets wrote:
>> * etc/NEWS Mention changes of vc-hg.el
> 
> It's missing a colon after "NEWS" (":").

Fixed.

>> +to the current repository).  On Mercurial, this prompts for argument to
>> +pass to @command{hg merge}, with branch and tag names completion. The
>> +output from running the merge command is shown in a separate buffer.
> 
> The fact that there is completion here is incidental. I'd omit that from this particular place in the manual.

Fixed. In my defense, that sentence was modelled after git's one :)

>> +*** The Hg (Mercurial) back-end now prompts for revision to merge on
>> +'C-x v m' ('vc-merge').
> 
> Branch or revision? I understand that in practice the difference is minimal, but we should pick one or the other wording and use it consistently. Here, in the functions' docstrings, and in the prompt string as well.
> 
> I'd prefer "branch" since it's usually what someone merges, but saying "revision" everywhere should also be okay.

Initially it was "branch". But vc-hg doesn't work with branches at the moment. Even vc-create-tag creates bookmark instead of branch, see bug#17586 (but let's leave it to the future patches).
Besides that, "revision" is used in the "merge" command manual. "revision" can mean a lot of things, see "hg help revisions". Thats why I decide to replace "branch" with "revision".

Please see attached patch. Besides fixes, "bookmarks" added to completion candidates.